Package com.google.protobuf

## Class TextFormat.Parser

- java.lang.Object
- - com.google.protobuf.TextFormat.Parser

Enclosing class:
  TextFormat

    public static class TextFormat.Parser
    extends java.lang.Object

Parser for text-format proto2 instances. This class is thread-safe. The implementation largely follows google/protobuf/text_format.cc.

Use `TextFormat.getParser()` to obtain the default parser, or `TextFormat.Parser.Builder` to control the parser behavior.

### Nested Class Summary

Nested Classes
`static class` `TextFormat.Parser.Builder` Builder that can be used to obtain new instances of `TextFormat.Parser`.
`static class` `TextFormat.Parser.SingularOverwritePolicy` Determines if repeated values for non-repeated fields and oneofs are permitted.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `merge​(java.lang.CharSequence input, ExtensionRegistry extensionRegistry, Message.Builder builder)` Parse a text-format message from `input` and merge the contents into `builder`.
`void` `merge​(java.lang.CharSequence input, Message.Builder builder)` Parse a text-format message from `input` and merge the contents into `builder`.
`void` `merge​(java.lang.Readable input, ExtensionRegistry extensionRegistry, Message.Builder builder)` Parse a text-format message from `input` and merge the contents into `builder`.
`void` `merge​(java.lang.Readable input, Message.Builder builder)` Parse a text-format message from `input` and merge the contents into `builder`.
`static TextFormat.Parser.Builder` `newBuilder()` Returns a new instance of `TextFormat.Parser.Builder`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### newBuilder

    public static TextFormat.Parser.Builder newBuilder()

Returns a new instance of `TextFormat.Parser.Builder`.

#### merge

    public void merge​(java.lang.Readable input,
                      Message.Builder builder)
               throws java.io.IOException

Parse a text-format message from `input` and merge the contents into `builder`.

Throws:
  `java.io.IOException`

#### merge

    public void merge​(java.lang.CharSequence input,
                      Message.Builder builder)
               throws TextFormat.ParseException

Parse a text-format message from `input` and merge the contents into `builder`.

Throws:
  `TextFormat.ParseException`

#### merge

    public void merge​(java.lang.Readable input,
                      ExtensionRegistry extensionRegistry,
                      Message.Builder builder)
               throws java.io.IOException

Parse a text-format message from `input` and merge the contents into `builder`. Extensions will be recognized if they are registered in `extensionRegistry`.

Throws:
  `java.io.IOException`

#### merge

    public void merge​(java.lang.CharSequence input,
                      ExtensionRegistry extensionRegistry,
                      Message.Builder builder)
               throws TextFormat.ParseException

Parse a text-format message from `input` and merge the contents into `builder`. Extensions will be recognized if they are registered in `extensionRegistry`.

Throws:
  `TextFormat.ParseException`